<?php
/*
 * Created on 20/08/2007 Por Bruno costa
 *
 *	Arquivo de configura��o de cat�logos externos
 *
 */

/*
 * This file is comprised of two arrays describing the external catalogs ($external_srcs) and their attribute mappings
 * ($external_mappings). The mapping between an external catalog and his attribute mappings are made with the array indices, i. e.
 * a catalog at external_srcs with indice = 1 use the mapping with indice = 1 at external_mapping.
 *
 * external_srcs' format:
 *
 * 	$external_srcs	=	array(
 * 					1	=>	array(
 * 						'name'		=>	'Catalog's name',
 * 						'host'		=>	'catalog's hostname',
 * 						'dn'		=>	'catalog's base dn',
 * 						'acc'		=>	'catalog's bind dn',
 * 						'pw'		=>	'bind dn's password',
 * 						'obj'		=>	'objectClass that will be used in searches',
 * 						'branch'	=>	strtolower('attribute used as branches in the catalog tree'),
 						'quicksearch	=>	'ExpressoMail's search',
						'max_results'	=>	'Ldap's search limit',
 * 					),
 * 					2 	=>	array(
 * 						...
 * 					),
 * 	);
 *
 * external_mappings' format:
 *
 * 	$external_mappings	=	array(
 *							1	=>	array(
 *								'contact.id_contact'				=>	array('dn'),
 *								'contact.photo'						=>	array('jpegPhoto'),
 *								'contact.prefixes.prefix'			=>	false, //used when you don't have an attribute or don't want to use one
 *								...
 *							),
 *							2	=>	array(
 *								...
 *							),
 *		);
 *
 */
 
 $external_srcs = array(
/*				1 => array(
					'name'		=> 'Exchange Fazenda',
					'host'		=> '10.30.2.21',
					'dn'		=> 'dc=mf,dc=correio',
					'acc'		=> 'cn=Carteiro,ou=Serpro,dc=mf,dc=correio',
					'pw'		=> 'bfr2000s$',
					'obj'		=> 'person',
					'branch'	=> '',
                                        'quicksearch'   => true,
                                        'max_results'   => 50,

				),*/
				1 => array(
					'name'		=> 'Grupos Notes',
					'host'		=> '10.30.2.25',
					'dn'		=> 'ou=gruposNotes,dc=correiolivre,dc=serpro,dc=gov,dc=br',
					'acc'		=> 'cn=admin,dc=correiolivre,dc=serpro,dc=gov,dc=br',
					'pw'		=> 'correio',
					'obj'		=> 'inetOrgPerson',
					'branch'	=> '',
                                        'quicksearch'   => false,
                                        'max_result'    => 0,
				)
			);
$external_mappings = array(
/*				1 => array(
					'contact.id_contact'               => array('dn'),
					'contact.photo'                    => array('jpegPhoto'),
					'contact.prefixes.prefix'          => false,
					'contact.alias'                    => array('alias'),
					'contact.given_names'              => array('givenName'),
					'contact.family_names'             => array('sn'),
					'contact.names_ordered'            => array('cn'),//,'displayName'),
					'contact.suffixes.suffix'          => false,
					'contact.birthdate'                => false,
					'contact.sex'                      => false,
					'contact.pgp_key'                  => false,
					'contact.notes'                    => false,
					'contact.mail_forwarding_address'  => array('mailForwardingAddress'),
					'contact.account_type'             => false,
                    			'contact.account_status'           => false,
                   			'contact.account_visible'          => false,
                    			'contact.object_class'             => array('objectClass'),
					'contact.business_info.title'      => array('title'),
					'contact.business_info.department' => array('ou'), // Setor do empregado...
					'contact.business_info.empNumber'  => array('employeeNumber'), // Matricula do empregado
					'contact.business_info.celPhone'   => array('mobile'), // Celular empresarial do empregado
					'contact.company.company_name'     => array('o'),
					'contact.company.company_notes'    => array('businessCategory'),

					'contact.contact_related.names_ordered' => 'contact.contact_related.typeof_relation.contact_relation_name',
					'contact.contact_related.typeof_relation.contact_relation_name' =>  array(
						'manager'   => array('manager'),
						'secretary' => array('secretary')
					),

					'contact.address.address1'         => 'contact.address.typeof_address.contact_address_type_name',
					'contact.address.typeof_address.contact_address_type_name' => array(
						'home' => array('street', 'st', 'postalAddress', 'homePostalAddress'),
					),

					'contact.address.postal_code'      => 'contact.address.typeof_address.contact_address_type_name',
					'contact.address.typeof_address.contact_address_type_name' => array(
						'home' => array('PostalCode'),
					),

					'contact.address.city.city_name'   => 'contact.address.typeof_address.contact_address_type_name',
					'contact.address.typeof_address.contact_address_type_name' => array(
						'home' => array('l'),
					),

					'contact.address.city.state.state_name'       => 'contact.address.typeof_address.contact_address_type_name',
					'contact.address.typeof_address.contact_address_type_name' => array(
						'home' => false,
					),

					'contact.address.city.country.id_country'     => 'contact.address.typeof_address.contact_address_type_name',
					'contact.address.typeof_address.contact_address_type_name' => array(
						'home' => array('c')
					),

					'contact.connection.connection_value'         => 'contact.connection.typeof_connection.contact_connection_type_name',
					'contact.connection.typeof_connection.contact_connection_type_name' => array (
						'email'  => array('mail'),
						'phone'  => array('telephoneNumber'),
					//	'mobile' => array('mobile'),
						'pager'  => array('pager'),
						'fax'    => array('facsimileTelephoneNumber'),
						'telex'  => array('telexNumber')
					),
                                ),*/
				1 => array(
					'contact.id_contact'               => array('dn'),
					'contact.photo'                    => array('jpegPhoto'),
					'contact.prefixes.prefix'          => false,
					'contact.alias'                    => array('alias'),
					'contact.given_names'              => array('givenName'),
					'contact.family_names'             => array('sn'),
					'contact.names_ordered'            => array('cn'),//,'displayName'),
					'contact.suffixes.suffix'          => false,
					'contact.birthdate'                => false,
					'contact.sex'                      => false,
					'contact.pgp_key'                  => false,
					'contact.notes'                    => false,
					'contact.mail_forwarding_address'  => array('mailForwardingAddress'),
					'contact.account_type'             => false,
                    			'contact.account_status'           => false,
                   			'contact.account_visible'          => false,
                    			'contact.object_class'             => array('objectClass'),
					'contact.business_info.title'      => array('title'),
					'contact.business_info.department' => array('ou'), // Setor do empregado...
					'contact.business_info.empNumber'  => array('employeeNumber'), // Matricula do empregado
					'contact.business_info.celPhone'   => array('mobile'), // Celular empresarial do empregado
					'contact.company.company_name'     => array('o'),
					'contact.company.company_notes'    => array('businessCategory'),

					'contact.contact_related.names_ordered' => 'contact.contact_related.typeof_relation.contact_relation_name',
					'contact.contact_related.typeof_relation.contact_relation_name' =>  array(
						'manager'   => array('manager'),
						'secretary' => array('secretary')
					),

					'contact.address.address1'         => 'contact.address.typeof_address.contact_address_type_name',
					'contact.address.typeof_address.contact_address_type_name' => array(
						'home' => array('street', 'st', 'postalAddress', 'homePostalAddress'),
					),

					'contact.address.postal_code'      => 'contact.address.typeof_address.contact_address_type_name',
					'contact.address.typeof_address.contact_address_type_name' => array(
						'home' => array('PostalCode'),
					),

					'contact.address.city.city_name'   => 'contact.address.typeof_address.contact_address_type_name',
					'contact.address.typeof_address.contact_address_type_name' => array(
						'home' => array('l'),
					),

					'contact.address.city.state.state_name'       => 'contact.address.typeof_address.contact_address_type_name',
					'contact.address.typeof_address.contact_address_type_name' => array(
						'home' => false,
					),

					'contact.address.city.country.id_country'     => 'contact.address.typeof_address.contact_address_type_name',
					'contact.address.typeof_address.contact_address_type_name' => array(
						'home' => array('c')
					),

					'contact.connection.connection_value'         => 'contact.connection.typeof_connection.contact_connection_type_name',
					'contact.connection.typeof_connection.contact_connection_type_name' => array (
						'email'  => array('mail'),
						'phone'  => array('telephoneNumber'),
					//	'mobile' => array('mobile'),
						'pager'  => array('pager'),
					//	'fax'    => array('facsimileTelephoneNumber'),
						'telex'  => array('telexNumber')
					),
					
                                    
				),
		);

?>
